/*=======================================
            Account Layout
========================================*/

.my-account {
    padding-bottom: 100px;
}

.woo-theme.woocommerce-account {

    .page-wrap {
        padding: 50px 0;
        background-color: #fff;

        @media (max-width: 600px) {
            padding: 30px 0;
        }

        @media (max-width: 450px) {
            padding: 15px 0;
        }

        .contents {
            background-color: transparent;
            padding: 0;
        }

    }

    .woocommerce-MyAccount-navigation {

        ul {
            list-style: none;

            li {
                background-color: #F8F7F3;
                margin-bottom: 5px;

                a {
                    color: var(--black);
                    font-size: 24px;
                    line-height: 1.2;
                    text-decoration: none;
                    padding: 20px;
                    display: block;
                }

                &.is-active,
                &:hover {
                    background-color: var(--black);

                    a {
                        color: #F8F7F3;
                    }

                }

            }

        }

    }

    /* Mobile Nav */

    .woocommerce-MyAccount-navigation.mobile {
        display: none;
    }

    @media screen and (max-width: 900px) {

        .woocommerce-MyAccount-navigation {
            display: none;
        }

        .woocommerce-MyAccount-navigation.mobile,
        .woocommerce-MyAccount-content {
            width: 100%;
            float: none;
        }

        .woocommerce-MyAccount-navigation.mobile {
            display: block;
            margin-bottom: 30px;

            ul {
                display: none;

                li a {
                    font-size: 20px;
                }

            }

            .top {
                padding: 20px;
                background-color: #F8F7F3;
                display: flex;
                flex-direction: row;
                justify-content: space-between;
                align-items: center;
                font-size: 20px;
                margin-bottom: 5px;
                color: var(--black);

                .controls {
                    width: 15px;

                    img {
                        width: 100%;
                        height: auto;
                    }

                }

            }

        }

    }

}





/*=======================================
            Dashboard
========================================*/

.dashboard {

    .welcome {
        font-size: 40px;
        line-height: 1.2;
        font-weight: 400;
        margin-bottom: 30px;
        color: var(--black);
        font-family: 'Grifo';
    }

    .info {
        font-size: 20px;
        line-height: 1.5;
        color: var(--black);

        a {
            color: var(--black);
            text-decoration: underline;
        }

    }

}






/*=======================================
                Titles
========================================*/

.account-section-wrap {

    h1 {
        font-size: 40px;
        line-height: 1.2;
        font-weight: 400;
        margin-bottom: 20px;
        color: var(--black);
        font-family: 'Grifo';
    }

}




/*=======================================
                Addresses
========================================*/

.woo-theme {

    .addresses {

        .intro {
            font-size: 20px;
            margin-bottom: 20px;
            color: var(--black);

            @media screen and (max-width: 600px) {
                font-size: 18px;
            }

        }

        .woocommerce-Address {
            margin-bottom: 20px;
        }

        .woocommerce-Address-title {
            background-color: #F8F7F3;
            padding: 15px;
            margin-bottom: 5px;
            font-size: 18px;
            color: var(--black);

            a {
                color: var(--black);
                text-decoration: underline;
            }

        }

        address {
            background-color: #F8F7F3;
            padding: 15px;
            font-size: 18px;
            color: var(--black);
        }

    }

}




/*=======================================
            Edit Account Forms
========================================*/

.woo-theme.woocommerce-account {

    form {

        .form-row {
            padding: 0;
            margin-bottom: 20px;

            label {
                line-height: 1.2;
                padding-bottom: 5px;
                font-weight: 600;
                color: var(--black) !important;
            }

            input[type="text"],
            input[type="email"],
            input[type="tel"],
            input[type="password"],
            textarea {
                border: none;
                background-color: #F8F7F3;
                font-size: 16px;
                padding: 15px;
                resize: none;
                color: var(--black);
            }

            span em {
                color: var(--black);
                display: block;
                margin-top: 5px;
            }

            strong {
                color: var(--black);
            }

        }

        fieldset legend {
            font-size: 20px;
            line-height: 1.2;
            padding-bottom: 15px;
            font-weight: 600;
            color: var(--black) !important;
        }

        button.button {
            border: 1px solid var(--black);
            background-color: #ffffff;
            outline: none;
            border-radius: 3px;
            padding: 12px 16px;
            color: var(--black);
            font-size: 16px;
            font-weight: 500;
            position: relative;
            text-decoration: none;
            transition: all 0.3s ease-in-out;

            &:hover {
                background-color: var(--black);
                color: #ffffff;
            }

        }

        p:not([class]) {
            font-size: 18px;
            line-height: 1.4;
            margin-bottom: 10px;
            color: var(--black);
        }

    }

}





/*=======================================
            Login / Register
========================================*/

#my_account {

    .woocommerce-form-login,
    .lost_reset_password,
    .gform_wrapper {
        max-width: 600px;
        margin: 0 auto;
    }

    h2 {
        font-size: 34px;
        line-height: 1.2;
        font-weight: 400;
        margin-bottom: 20px;
        color: var(--black);
        font-family: 'Grifo';
        text-align: center;

        &.gform_submission_error {
            font-size: 16px;
            font-family: "Mulish", sans-serif;
            margin-bottom: 0;
        }

    }

    .woocommerce-form,
    .lost_reset_password,
    .gform_wrapper {
        background-color: #F8F7F3;
        border: none;
        padding: 30px;
        border-radius: 0;

        @media (max-width: 600px) {
            padding: 20px;
        }

        .form-row {
            padding: 0;
            margin-bottom: 10px;
            width: 100%;
        }

        input[type="text"],
        input[type="email"],
        input[type="password"] {
            border: none;
            background-color: #fff;
            font-size: 16px;
            padding: 15px;
            resize: none;
            line-height: 1.2 !important;
        }

        .gform_footer {
            padding: 0;
            margin: 30px 0 0 0;
        }

        input[type="submit"],
        button.button {
            border: 1px solid #262e36;
            border-radius: 3px;
            padding: 15px 30px;
            color: #fff;
            font-size: 18px;
            text-align: center;
            transition: all 0.3s ease-in-out;
            background-color: var(--black);
            font-weight: 400;
            text-decoration: none;
            cursor: pointer;
            width: 100%;
            margin-bottom: 0;
            line-height: 1.2 !important;

            &:hover {
                opacity: 0.8;
            }

        }

        button.button {
            margin-top: 10px;
        }

        .woocommerce-form-login__rememberme {
            display: none;
        }

        .gform_confirmation_wrapper {
            max-width: 600px;
            margin: 0 auto;
            padding: 30px;
            background-color: #F8F7F3;
            text-align: center;
            font-size: 20px;
            line-height: 1.3;
            color: var(--black);

            a {
                border: 1px solid #262e36;
                border-radius: 3px;
                padding: 15px 30px;
                color: #fff;
                font-size: 18px;
                text-align: center;
                transition: all 0.3s ease-in-out;
                background-color: var(--black);
                font-weight: 400;
                text-decoration: none;
                cursor: pointer;
                width: 100%;
                margin-bottom: 0;
                margin-top: 10px;
                line-height: 1.2 !important;
                display: block;

                &:hover {
                    opacity: 0.8;
                }
            }

        }

    }

    .gform_confirmation_wrapper {
        max-width: 600px;
        margin: 0 auto;
        padding: 30px;
        background-color: #F8F7F3;
        text-align: center;
        font-size: 20px;
        line-height: 1.3;
        color: var(--black);

        a {
            border: 1px solid #262e36;
            border-radius: 3px;
            padding: 15px 30px;
            color: #fff;
            font-size: 18px;
            text-align: center;
            transition: all 0.3s ease-in-out;
            background-color: var(--black);
            font-weight: 400;
            text-decoration: none;
            cursor: pointer;
            width: 100%;
            margin-bottom: 0;
            margin-top: 10px;
            line-height: 1.2 !important;
            display: block;

            &:hover {
                opacity: 0.8;
            }
        }

    }



    p:not([class]),
    .woocommerce-password-hint {
        font-size: 16px;
        line-height: 1.4;
        margin-bottom: 15px;
        color: var(--black);
    }

    .lost_password a {
        color: var(--black);
        text-decoration: underline;
    }

    .woocommerce-privacy-policy-text {
        margin-bottom: 10px;

        p a {
            color: var(--black);
            text-decoration: underline;
        }

    }

    .register-link {
        text-align: center;
        margin-top: 30px;
    }

}